aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/cd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/shrc.d/cd.sh')
-rw-r--r--sh/shrc.d/cd.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/sh/shrc.d/cd.sh b/sh/shrc.d/cd.sh
index 37574f78..7bfacd6d 100644
--- a/sh/shrc.d/cd.sh
+++ b/sh/shrc.d/cd.sh
@@ -65,10 +65,10 @@ cd() {
# Print the target
printf '%s\n' "$new"
+ )"
- # If the subshell failed, return from the function with the same exit
- # value
- )" || return
+ # If the subshell printed nothing, return with failure
+ [ -n "$2" ] || return
fi
# Execute the cd command as normal